org.apache.avro

## Class AvroMissingFieldException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.avro.AvroRuntimeException
        - - org.apache.avro.AvroMissingFieldException

All Implemented Interfaces:
  Serializable

    public class AvroMissingFieldException
    extends AvroRuntimeException

Avro exception in case of missing fields.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AvroMissingFieldException(String message, Schema.Field field)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addParentField(Schema.Field field)`
`String` `toString()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AvroMissingFieldException

    public AvroMissingFieldException(String message,
                                     Schema.Field field)

### Method Detail

#### addParentField

    public void addParentField(Schema.Field field)

#### toString

    public String toString()

Overrides:
  `toString` in class `Throwable`